Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.ad
Interface AdService

public interface AdService
extends javax.ejb.EJBObject

The remote bean interface for the AdService. This will return the actual content for ads. All ad queries should the textual content query strings specified by `ExpressionHelper`.

Inner Class Summary
`static class` | `AdService.AdCounts` Class that is generated by getAdCounts.

Method Summary
`void` | `cleanupAdService(java.lang.String containerUID)` Cleanup the AdService removing all records specified by the passed in ContainerUID.
`java.util.Collection` | `getAdCounts(java.util.Collection contentId, java.lang.String containerUID)` return of collection of ad counts
`Content[]` | `getContent(java.lang.String adQuery)` Return an array of Content which match the ad query string.
`java.util.Collection` | `getContentIds(java.lang.String adQuery)` Return a collection of content identifiers which match the ad query string.
`void` | `recordClickThru(java.lang.String contentId, java.lang.String containerUID, java.lang.String contextUID, java.lang.String placeholder, java.lang.String userId, Request request)` Update the click thru count for an ad
`void` | `recordDisplay(Content c, java.lang.String containerUID, java.lang.String contextUID, java.lang.String placeholder, java.lang.String userId, Request request)` Update the display count for an ad.

Methods inherited from interface javax.ejb.EJBObject
`getEJBHome, getHandle, getPrimaryKey, isIdentical, remove`

Method Detail

### getContent

    public Content[] getContent(java.lang.String adQuery)
                         throws java.rmi.RemoteException,
                                AdContentException

  Return an array of Content which match the ad query string.

  Parameters:
    `adQuery` - The content query string
  Throws:
    AdContentException - when the ad content cannot be found.

### getContentIds

    public java.util.Collection getContentIds(java.lang.String adQuery)
                                       throws java.rmi.RemoteException,
                                              AdContentException

  Return a collection of content identifiers which match the ad query string.

  Parameters:
    `adQuery` - The content query string
  Throws:
    AdContentException - when the ad content cannot be found.

### recordDisplay

    public void recordDisplay(Content c,
                              java.lang.String containerUID,
                              java.lang.String contextUID,
                              java.lang.String placeholder,
                              java.lang.String userId,
                              Request request)
                       throws java.rmi.RemoteException,
                              java.sql.SQLException

  Update the display count for an ad.

  Parameters:
    `c` - The content object
    `containerUID` - the UID of the container
    `contextUID` - the UID of the context
    `placeholder` - the name of the placeholder
    `userId` - the user Id
    `request` - the HTTP request

### recordClickThru

    public void recordClickThru(java.lang.String contentId,
                                java.lang.String containerUID,
                                java.lang.String contextUID,
                                java.lang.String placeholder,
                                java.lang.String userId,
                                Request request)
                         throws java.rmi.RemoteException,
                                java.sql.SQLException

  Update the click thru count for an ad

  Parameters:
    `c` - The content object
    `containerUID` - the UID of the container
    `contextUID` - the UID of the context
    `placeholder` - the name of the placeholder
    `userId` - the user Id
    `request` - the HTTP request

### cleanupAdService

    public void cleanupAdService(java.lang.String containerUID)
                          throws java.rmi.RemoteException,
                                 ContentException

  Cleanup the AdService removing all records specified by the passed in ContainerUID.

  Parameters:
    `containerUID` - containerUID identifying the records to be removed

### getAdCounts

    public java.util.Collection getAdCounts(java.util.Collection contentId,
                                            java.lang.String containerUID)
                                     throws java.rmi.RemoteException,
                                            java.sql.SQLException

  return of collection of ad counts

  Parameters:
    `contentId` - the content identifier
    `containerUID` - the UID of the container

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved